Bug 659386 (CVE-2010-4367) - CVE-2010-4367 Awstats: arbitrary commands execution via a crafted configdif parameter
Summary: CVE-2010-4367 Awstats: arbitrary commands execution via a crafted configdif p...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-4367
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-02 17:18 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-03 19:15:22 UTC


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-12-02 17:18:20 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-4367 to
the following vulnerability:

awstats.cgi in AWStats before 7.0 accepts a configdir parameter in the
URL, which allows remote attackers to execute arbitrary commands via a
crafted configuration file located on a (1) WebDAV server or (2) NFS
server.

References:
[1] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2010-4367
[2] http://www.exploitdevelopment.com/Vulnerabilities/2010-WEB-001.html
[3] http://awstats.sourceforge.net/docs/awstats_changelog.txt

Comment 1 Jan Lieskovsky 2010-12-02 17:20:31 UTC
This issue does NOT affect the current versions of the awstats
package, as shipped with Fedora release of 13 and 14 (relevant
packages are already updated).

--

This issue affects the version of the awstats package, as present
within EPEL-5 repository.

Please schedule an update.

Comment 2 Tim Jackson 2010-12-12 17:32:17 UTC
It's not at all clear to me that this is easily exploitable on Linux, at least in the way described in the CVE.

Whilst providing an unrestricted configdir parameter is almost certainly unwise, both the report at http://www.exploitdevelopment.com/Vulnerabilities/2010-WEB-001.html and the changelog entry indicate this is primarily related to Windows, where an arbitrary WebDAV or SMB server can be accessed via "configdir=\\server\path". The CVE report refers to "NFS" (rather than SMB, as in the original report), but doesn't provide any details of how it might be exploited nor why "NFS" is special vs any other filesystem path. Without some (non-default) automount configuration (which allow arbitrary servers to be auto-mounted) it's not obvious to me how you would remotely exploit this other than by including a file on the local filesystem (which is indeed undesirable, but not specific to NFS or WebDAV) and thus the impact of the issue seems to be relatively minor. Can anyone else see an important exploit vector that I'm missing?

I'll try to backport a fix anyway.


Note You need to log in before you can comment on or make changes to this bug.